GCLOUD_IAM_SERVICE-ACCOUNTS_ADD-IAM-POLICY-BINDING(1)

NAME

gcloud iam service-accounts add-iam-policy-binding - add IAM policy binding for a service account

SYNOPSIS

gcloud iam service-accounts add-iam-policy-binding IAM-ACCOUNT --member MEMBER --role ROLE [GLOBAL-FLAG ...]

DESCRIPTION
This command adds a policy binding to the IAM policy of a service account, given an IAM-ACCOUNT and the binding.

POSITIONAL ARGUMENTS
IAM-ACCOUNT
    The service account whose policy to add bindings to.

REQUIRED FLAGS
--member MEMBER
    The member to add to the binding.
--role ROLE
    Define the role of the member.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command will add an IAM policy binding for the role of 'roles/editor' for the user 'test-user@gmail.com' on a service account with identifier 'my-iam-account@somedomain.com'
    $ gcloud iam service-accounts add-iam-policy-binding \
        my-iam-account@somedomain.com \
        --member='user:test-user@gmail.com' --role='roles/editor'
See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.